#!/usr/bin/sh

if [ -z "$1" ]; then
    echo "New version not given";
    exit 1;
fi

VERSION=$1


echo "I'm not running anything, run this by yourself"

echo git-dch \
    --release \
    --new-version=$VERSION \
    --verbose 

echo git-dch --release \
    --new-version=${VERSION} \
    --id-length=7 \
    --debian-tag='"%(version)s"' \
    --git-author

echo git tag -s $VERSION

echo git archive  --format tar.gz -o ../caso_${VERSION}.orig.tar.gz $VERSION

echo python setup.py sdist upload

echo debuild -S -sa
